# Uses of Interface
org.opensaml.xmlsec.encryption.Salt

Packages that use Salt
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Salt in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Salt
Modifier and Type
Method
Description
`Salt`
PBKDF2Params.`getSalt()`
Get the Salt child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type Salt
Modifier and Type
Method
Description
`void`
PBKDF2Params.`setSalt(Salt salt)`
Set the Salt child element.

## Uses of Salt in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Salt
Modifier and Type
Class
Description
`class`
`SaltImpl`
Concrete implementation of `Salt`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Salt
Modifier and Type
Field
Description
`private Salt`
PBKDF2ParamsImpl.`salt`
Salt child element.
Methods in org.opensaml.xmlsec.encryption.impl that return Salt
Modifier and Type
Method
Description
`Salt`
SaltBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Salt`
SaltBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Salt`
PBKDF2ParamsImpl.`getSalt()`
Get the Salt child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Salt
Modifier and Type
Method
Description
`void`
PBKDF2ParamsImpl.`setSalt(Salt newSalt)`
Set the Salt child element.